steps:
- name: docker
  image: woodpeckerci/plugin-docker-buildx
  settings:
    registry: git.ar21.de
    username:
      from_secret: REGISTRY_USER
    password:
      from_secret: REGISTRY_PASS
    repo: git.ar21.de/${CI_REPO}
    tags:
      - latest
      - ${CI_PIPELINE_NUMBER}
  when:
    - branch: main
      event: [push, manual]
- name: docker-build
  image: woodpeckerci/plugin-docker-buildx
  settings:
    registry: git.ar21.de
    username:
      from_secret: REGISTRY_USER
    password:
      from_secret: REGISTRY_PASS
    repo: git.ar21.de/${CI_REPO}
    tags:
      - testing-${CI_PIPELINE_NUMBER}
  when:
    - branch:
        exclude: main
      event: [push, manual]
